lib2geom-devel-20081103-alt1.6.i586.rpm


Advertisement

Description

lib2geom-devel - Development files for lib2geom

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename lib2geom-devel-20081103-alt1.6.i586.rpm
Package name lib2geom-devel
Package version 20081103
Package release alt1.6
Package architecture i586
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 324.84 KB
Installed size 324.84 KB
This package contains development files required
in development of the lib2geom-based applications.

Alternatives

Package Version Architecture Repository
lib2geom-devel-20081103-alt1.6.x86_64.rpm 20081103 x86_64 Classic
lib2geom-devel - - -

Requires

Name Value
/usr/lib/pkgconfig -
boost-devel-headers -
lib2geom = 20081103-alt1.6:sisyphus+221520.100.2.2
rpmlib(PayloadIsLzma) -

Provides

Name Value
lib2geom-devel = 20081103-alt1.6:sisyphus+221520.100.2.2
pkgconfig(2geom) = 0.3

Download

Type URL
Mirror ftp.altlinux.org
Binary Package lib2geom-devel-20081103-alt1.6.i586.rpm
Source Package lib2geom-20081103-alt1.6.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install lib2geom-devel rpm package:
    # sudo apt-get install lib2geom-devel

Files

Path
/usr/include/2geom-0.3/
/usr/include/2geom-0.3/2geom/angle.h
/usr/include/2geom-0.3/2geom/arc-length.h
/usr/include/2geom-0.3/2geom/basic-intersection.h
/usr/include/2geom-0.3/2geom/bezier-curve.h
/usr/include/2geom-0.3/2geom/bezier-to-sbasis.h
/usr/include/2geom-0.3/2geom/bezier-utils.h
/usr/include/2geom-0.3/2geom/bezier.h
/usr/include/2geom-0.3/2geom/chebyshev.h
/usr/include/2geom-0.3/2geom/choose.h
/usr/include/2geom-0.3/2geom/circle.h
/usr/include/2geom-0.3/2geom/circulator.h
/usr/include/2geom-0.3/2geom/concepts.h
/usr/include/2geom-0.3/2geom/conjugate_gradient.h
/usr/include/2geom-0.3/2geom/convex-cover.h
/usr/include/2geom-0.3/2geom/coord.h
/usr/include/2geom-0.3/2geom/crossing.h
/usr/include/2geom-0.3/2geom/curve.h
/usr/include/2geom-0.3/2geom/curves.h
/usr/include/2geom-0.3/2geom/d2-sbasis.h
/usr/include/2geom-0.3/2geom/d2.h
/usr/include/2geom-0.3/2geom/ellipse.h
/usr/include/2geom-0.3/2geom/elliptical-arc.h
/usr/include/2geom-0.3/2geom/exception.h
/usr/include/2geom-0.3/2geom/forward.h
/usr/include/2geom-0.3/2geom/geom.h
/usr/include/2geom-0.3/2geom/hvlinesegment.h
/usr/include/2geom-0.3/2geom/interval.h
/usr/include/2geom-0.3/2geom/isnan.h
/usr/include/2geom-0.3/2geom/line.h
/usr/include/2geom-0.3/2geom/linear.h
/usr/include/2geom-0.3/2geom/matrix.h
/usr/include/2geom-0.3/2geom/nearest-point.h
/usr/include/2geom-0.3/2geom/ord.h
/usr/include/2geom-0.3/2geom/path-intersection.h
/usr/include/2geom-0.3/2geom/path.h
/usr/include/2geom-0.3/2geom/pathvector.h
/usr/include/2geom-0.3/2geom/piecewise.h
/usr/include/2geom-0.3/2geom/point-l.h
/usr/include/2geom-0.3/2geom/point-ops.h
/usr/include/2geom-0.3/2geom/point.h
/usr/include/2geom-0.3/2geom/poly.h
/usr/include/2geom-0.3/2geom/quadtree.h
/usr/include/2geom-0.3/2geom/ray.h
/usr/include/2geom-0.3/2geom/rect.h
/usr/include/2geom-0.3/2geom/region.h
/usr/include/2geom-0.3/2geom/sbasis-2d.h
/usr/include/2geom-0.3/2geom/sbasis-curve.h
/usr/include/2geom-0.3/2geom/sbasis-geometric.h
/usr/include/2geom-0.3/2geom/sbasis-math.h
/usr/include/2geom-0.3/2geom/sbasis-poly.h
/usr/include/2geom-0.3/2geom/sbasis-to-bezier.h
/usr/include/2geom-0.3/2geom/sbasis.h
/usr/include/2geom-0.3/2geom/shape.h
/usr/include/2geom-0.3/2geom/solver.h
/usr/include/2geom-0.3/2geom/svg-elliptical-arc.h
/usr/include/2geom-0.3/2geom/svg-path-parser.h
/usr/include/2geom-0.3/2geom/svg-path.h
/usr/include/2geom-0.3/2geom/sweep.h
/usr/include/2geom-0.3/2geom/transforms.h
/usr/include/2geom-0.3/2geom/utils.h
/usr/lib/lib2geom.so
/usr/lib/pkgconfig/2geom.pc

Changelog

2019-02-14 - Ivan Razzhivin <underwit@altlinux.org> 20081103-alt1.6
- GCC8 fix
2017-07-04 - Aleksei Nikiforov <darktemplar@altlinux.org> 20081103-alt1.5
- Fixed build with gcc-6
2012-06-19 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 20081103-alt1.4
- Fixed build with gcc 4.6
2012-03-21 - Sergey Bolshakov <sbolshakov@altlinux.ru> 20081103-alt1.3
- rebuilt with refault optflags
2012-02-02 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 20081103-alt1.2
- Removed bad RPATH
2011-04-01 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 20081103-alt1.1
- Rebuilt for debuginfo
2008-11-04 - Vitaly Lipatov <lav@altlinux.ru> 20081103-alt1
- new version (20081103)

See Also

Package Description
lib3ds-1.3.0-alt2_28.i586.rpm 3D Studio file format library
lib3ds-devel-1.3.0-alt2_28.i586.rpm 3D Studio file format library
lib3ds-tools-1.3.0-alt2_28.i586.rpm 3D Studio file format library
lib4th-3.62.2-alt1.i586.rpm 4tH shared library
lib4th-devel-3.62.2-alt1.i586.rpm Files required to link software that uses lib4th
lib4th-devel-static-3.62.2-alt1.i586.rpm Static 4tH library
lib765-0.4.2-alt1.i586.rpm Library to emulate the uPD765a floppy controller (aka Intel 8272)
lib765-devel-0.4.2-alt1.i586.rpm Header files for developing apps which will use lib765
lib7zip-3.0.0-alt1.i586.rpm C++ library wrapper of 7zip
lib7zip-devel-3.0.0-alt1.i586.rpm Files needed for developing with lib7zip
libAfterImage-1.20-alt1_17.i586.rpm A generic image manipulation library
libAfterImage-devel-1.20-alt1_17.i586.rpm Files needed for software development with libAfterImage
libAllegroOGG-1.0.3-alt2_19.i586.rpm Ogg library for use with the Allegro game library
libAllegroOGG-devel-1.0.3-alt2_19.i586.rpm Developmental libraries and include files for AllegroOgg
libArcus-3.6.0-alt2.i586.rpm Communication library between internal components for Ultimaker software
Advertisement
Advertisement